Willkommen im kivitendo Forum! Hier erweitern und teilen AnwenderInnen und EntwicklerInnen ihr Wissen.

Teste kivitendo!

kivitendo Demo

kivitendo Demo mit Schweizer Kontenplan

Geld allein macht nicht glücklich - benutzt kivitendo!

0 Punkte

Hallo habe gerade 3.5.5 via git neu installiert, leider funktioniert die DB Aktualisierung nicht.
Was kann ich tun, damit kivitendo wieder läuft?

Anbei die lange Fehlermeldung:

Datenbankaktualisierung (mydb)

    Führe remove_comma_aggregate_functions.sql aus: Entfernt Aggregate Funktion comma

Fehler!

The database update/creation did not succeed. The file sql/Pg-upgrade2/remove_comma_aggregate_functions.sql containing the following query failed:
DROP AGGREGATE IF EXISTS comma(text)
The error message was: FEHLER:  Berechtigung nur für Eigentümer der Funktion comma
All changes in that file have been reverted.: 
Gefragt von (2.4k Punkte)

1 Antwort

+1 Punkt

Es ist nicht so ganz klar dokumentiert, aber seit dem Trigram-Erweiterungen muss/sollte der Datenbank-Benutzer auch superuser Rechte haben ...

Probier das mal und vielleicht schmeißt ein Entwickler noch ein großes Warnschild in Kapitel DB-Admin rein: "Muss superuser sein".

Beantwortet von (8.4k Punkte)

Als Superuser sollte es gehen, aber eigentlich sollten updatescripte die superuser Rechte benötigen
ein

@superuser_privileges: 1

im Header haben
vielleicht probierst Du mal in der
sql/Pg-upgrade2/remove_comma_aggregate_functions.sql
nach der zeile

@depends: release_3_5_3

die zeile

 @superuser_privileges: 1

einzufügen.
Aber eigentlich wundert mich das, ich arbeite mit zwei Datenbankbenutzer wie in der Dokumentation und mache regelmäßig die Versionsupdates und bin da noch nicht drüber gestolpert

Wenn ich dich richtig verstehe hast Du neu installiert und eine vorhandene Datenbank eingebunden bzw. eine Datenbank aus einem Backup erstellt. Vielleicht ist hier was mit den Rechten durcheinander gekommen?

Der superuser muss wie in Kapitel 2.5.4 angelegt sein und wird vor dem Update nochmal abgefragt

Werner kivitendodienstleister

Danke, habe folgendes in der 'remove_comma_aggregate_functions.sql' eingefügt:

-- @tag: remove_comma_aggregate_functions
-- @description: Entfernt Aggregate Funktion comma
-- @depends: release_3_5_3
   @superuser_privileges: 1

DROP AGGREGATE IF EXISTS comma(text);
DROP FUNCTION IF EXISTS comma_aggregate ( text, text) ;

Nun seht die Fehler Meldung so aus:

The database update/creation did not succeed. The file sql/Pg-upgrade2/remove_comma_aggregate_functions.sql containing the following query failed:
   @superuser_privileges: 1  DROP AGGREGATE IF EXISTS comma(text)
The error message was: FEHLER:  Syntaxfehler bei »@«
LINE 1:    @superuser_privileges: 1  DROP AGGREGATE IF EXISTS comma(...
           ^
All changes in that file have been reverted.: 

Super User ist bzw. war wie in Kapitel 2.5.4 angelegt, auch hat meine DB 'pg_trgm' inne.

Mit den Rechten kann durch aus etwas durcheinander gekommen sein, obwohl ich diesbezüglich nicht getan habe. Wie kann ich dies auf die schnelle Überprüfen?

sorry da fehlen noch die zwei
-- vor @

--  @superuser_privileges: 1

Aber ich denke nicht dass das daran liegt. Probiers aber aus.

Werner kivitendodienstleister

da wirst närrisch, habe vor dem Eintrag @superuser_privileges: 1, spaßeshalber einfach mal -- eingefügt.
Danach erhielt ich die Eingabefelder für den Super-User der DB, und was soll ich sagen eingegeben und das Update erfolgreich durchlaufen.

Fertig es hat funktioniert, vielen vielen Dank.

Ähnliche Fragen

0 Punkte
1 Antwort
0 Punkte
1 Antwort
Gefragt 13, Sep 2016 von nschneider (330 Punkte)
...